Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Thomas Weber-8
Package: release.debian.org
Severity: normal

I want to get rid of octave3.0 for Squeeze. Please hint it out of
testing.

Thanks
        Thomas


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/20100314220403.GA32028@atlan

Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Adam D. Barratt
Hi,

On Sun, 2010-03-14 at 23:04 +0100, Thomas Weber wrote:
> I want to get rid of octave3.0 for Squeeze. Please hint it out of
> testing.

You'll need to make sure nothing still depends on it in testing before
it can be removed:

Checking reverse dependencies...
# Broken Depends:
pfstools: octave-pfstools

# Broken Build-Depends:
h5utils: octave3.0-headers
mathgl: octave3.0-headers
pfstools: octave3.0-headers
xmds: octave3.0-headers

Dependency problem found.

Regards,

Adam



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/1268634280.6708.5278.camel@...

Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Thomas Weber-8
Hi,

On Mon, Mar 15, 2010 at 06:24:40AM +0000, Adam D. Barratt wrote:
> On Sun, 2010-03-14 at 23:04 +0100, Thomas Weber wrote:
> > I want to get rid of octave3.0 for Squeeze. Please hint it out of
> > testing.
>
> You'll need to make sure nothing still depends on it in testing before
> it can be removed:

Uh, some apologies are in order. I didn't expect the release team to act
*that* soon on such removal requests.

Anyway, I'll follow up once the dependencies are fixed.

Thanks
        Thomas



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/20100315181526.GA6305@atlan

Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Julien Cristau-6
In reply to this post by Adam D. Barratt
On Mon, Mar 15, 2010 at 06:24:40 +0000, Adam D. Barratt wrote:

> Hi,
>
> On Sun, 2010-03-14 at 23:04 +0100, Thomas Weber wrote:
> > I want to get rid of octave3.0 for Squeeze. Please hint it out of
> > testing.
>
> You'll need to make sure nothing still depends on it in testing before
> it can be removed:
>
> Checking reverse dependencies...
> # Broken Depends:
> pfstools: octave-pfstools
>
> # Broken Build-Depends:
> h5utils: octave3.0-headers
> mathgl: octave3.0-headers
> pfstools: octave3.0-headers
> xmds: octave3.0-headers
>
> Dependency problem found.
>
Seems all fixed now.  Thomas, is there any reason this should be removed
from squeeze but not from sid?

Cheers,
Julien

signature.asc (853 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Thomas Weber-17
Hi,

sorry, I'm swamped in other work, so I didn't act earlier on this.

On Wed, May 26, 2010 at 02:32:23PM +0200, Julien Cristau wrote:

> On Mon, Mar 15, 2010 at 06:24:40 +0000, Adam D. Barratt wrote:
>
> > Hi,
> >
> > On Sun, 2010-03-14 at 23:04 +0100, Thomas Weber wrote:
> > > I want to get rid of octave3.0 for Squeeze. Please hint it out of
> > > testing.
> >
> > You'll need to make sure nothing still depends on it in testing before
> > it can be removed:
> >
> > Checking reverse dependencies...
> > # Broken Depends:
> > pfstools: octave-pfstools
> >
> > # Broken Build-Depends:
> > h5utils: octave3.0-headers
> > mathgl: octave3.0-headers
> > pfstools: octave3.0-headers
> > xmds: octave3.0-headers
> >
> > Dependency problem found.
> >
> Seems all fixed now.  Thomas, is there any reason this should be removed
> from squeeze but not from sid?

No, probably not. When I requested its removal, I wasn't a DD, so I
wanted to be cautious. Now, that has changed, so if there is some huge
demand, I could re-upload octave3.0 via NEW.

I'll request a removal from unstable via ftp-master.

Thanks
        Thomas



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/20100526193750.GA16849@atlan

Reply | Threaded
Open this post in threaded view
|

Bug#573907: RM: octave3.0 -- ROM; outdated, superseded by octave3.2

Julien Cristau-6
reassign 573907 ftp.debian.org
kthxbye

On Wed, May 26, 2010 at 21:37:50 +0200, Thomas Weber wrote:

> On Wed, May 26, 2010 at 02:32:23PM +0200, Julien Cristau wrote:
> > Seems all fixed now.  Thomas, is there any reason this should be removed
> > from squeeze but not from sid?
>
> No, probably not. When I requested its removal, I wasn't a DD, so I
> wanted to be cautious. Now, that has changed, so if there is some huge
> demand, I could re-upload octave3.0 via NEW.
>
> I'll request a removal from unstable via ftp-master.
>
No need, I'll just reassign this one.

Cheers,
Julien

signature.asc (853 bytes) Download Attachment